<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
class plgSystemDomainredirect extends JPlugin
{
/**
 * @access      protected
 * @param       object  $subject The object to observe
 * @param       array   $config  An array that holds the plugin configuration
 */

	private $debug=1;
	
    public $version = "1.1.0";

    public function __construct(& $subject, $config)
    {
            parent::__construct($subject, $config);
            $this->loadLanguage();
    }

    function onAfterInitialise()
    {

        $targetdomain = $this->params->get('target_domain'); 
        $landingpage = $this->params->get('landingpage'); 

        // Check http presence and disable if it is there 
        if(substr($targetdomain,0,5)=="http:")  {
            JFactory::getApplication()->enqueueMessage(JText::_('TGERROR'), 'error');
            $targetdomain="";
        }

	    $current = JUri::getInstance();
        $uri = new JUri($current);
	    $host = $uri->getHost();
	    $scheme = $uri->getscheme();
	    $path = $uri->getPath();
        
        $notforadmin = $this->params->get('notforadmin'); 
        $isadmin = (substr($path,0,14)=="/administrator") ? 1 : 0;


        if($targetdomain=="") {
            return true; 
		} else if($host!=$targetdomain && ($notforadmin == 0 || $isadmin == 0)) {
			
			if($landingpage=="") {
				$t=$scheme.'://'.$targetdomain.substr($current,strlen($scheme)+3+strlen($host));
			} else {
				$t=$scheme.'://'.$targetdomain."/".$landingpage;
			}

			if ($this->debug == 1) {
				JFactory::getApplication()->enqueueMessage('Would redirect from '.$current.'<br>to '.$t);
			} else {
				JFactory::getApplication()>redirect($t,null,null,TRUE);
			}
		}
        return true;
    }
}
?>